--- groff-1.18.orig/debian/changelog
+++ groff-1.18/debian/changelog
@@ -0,0 +1,707 @@
+groff (1.18-1) unstable; urgency=low
+
+  * New upstream release. Highlights:
+    - Colour support (although see below).
+    - New macro set, mom, mainly for non-scientific writers. The aim of
+      these macros is to make groff accessible for ordinary use with a
+      minimum of convoluted syntax.
+    - 'eu' and 'Eu' characters available for Euro support.
+    - Improved support for TeX hyphenation files.
+    - New means of setting the line length, which now works for -mdoc manual
+      pages as well as -man. Use man-db >= 2.4.0 to take advantage of this.
+    - Documentation of the differences between groff and Unix troff is now
+      in groff_diff(7).
+    - groff_mwww(1) has been renamed to groff_www(1).
+    - groff_ms(7) has been completely rewritten.
+    - New scripts: groffer, pic2graph, and eqn2graph.
+    - Substantial improvements in grohtml (although it's still alpha),
+      including dealing with overstriking properly (closes: #67545).
+
+  * Many thanks, again, to Fumitoshi UKAI for forward-porting the Japanese
+    patch.
+  * Disable the new ANSI colour/bold/underline escapes in nroff mode,
+    because most pagers either fail to cope with it or need special options
+    to do so. It can be re-enabled by editing /etc/groff/man.local and
+    /etc/groff/mdoc.local, or by setting the environment variable GROFF_SGR
+    to something non-empty.
+  * Drop most current /etc/papersize patches, as the 'papersize' DESC
+    keyword is now available upstream. We now only patch the DESC files and
+    extend the papersize keyword to allow falling back to something else if
+    /etc/papersize doesn't exist.
+  * Fix the removal of final newlines when reading /etc/papersize.
+  * Translate the 'oq' character to an apostrophe (0x27) rather than a
+    backquote (0x60) when using devices other than utf8 (closes: #149086).
+
+  * Merge groff-x11 back into groff, since this release doesn't have to
+    worry so much about smooth upgrades from potato (closes: #129835).
+  * Accordingly, remove the debconf note about this, since it was an abuse
+    of debconf anyway. README.Debian describes the package organization.
+  * Include more documentation in the main groff package (closes: #121475).
+  * Build-depend on gs, netpbm, and psutils for HTML documentation. Mention
+    in README.build that people bootstrapping a new port or otherwise
+    building the base system from scratch don't need these three.
+  * Recommend these three packages for the grohtml driver.
+  * Recommend imagemagick for pic2graph and eqn2graph.
+  * Downgrade libpaperg dependency to a recommendation, since we fall back
+    to a4 now if it's not installed.
+  * Use debhelper v3 mode.
+  * Upstream ships pre-built info files now, so use them. You need texinfo
+    (>= 4.2) if you want to regenerate them.
+
+ -- Colin Watson <cjwatson@debian.org>  Sun, 21 Jul 2002 18:33:04 +0100
+
+groff (1.17.2-17) unstable; urgency=low
+
+  * Back to unstable, now that there's no concern about disrupting woody.
+    Merge changes from -15.woody.1 (unstable) and -16 (experimental).
+  * Delete excess charset information in M and G font files that also use
+    the fixedkanji directive, after consultation with Fumitoshi UKAI. This
+    saves over 1.6Mb.
+  * Move ps device to base, now that it isn't quite so large. It's needed
+    there because it's the default device (closes: #131410).
+  * Update the descriptions of groff-base and groff for the move of the
+    PostScript device.
+
+ -- Colin Watson <cjwatson@debian.org>  Sat,  4 May 2002 18:03:40 +0100
+
+groff (1.17.2-16) experimental; urgency=low
+
+  * Experimental upload for the benefit of the NetBSD porters.
+  * Document the build-dependency loop with xfree86, and allow people
+    constructing new ports to override this temporarily with
+    DEB_BUILD_OPTIONS=no-groff-x11 (closes: #130312).
+  * Import AM_LANGINFO_CODESET macro from gettext, and use it for
+    --enable-japanese to provide an emulation of nl_langinfo(CODESET) for
+    systems that don't have it (closes: #130356).
+  * Fix build without --enable-japanese.
+  * Build-depend on a version of debhelper which pulls in debconf-utils
+    (closes: #130357).
+  * Test that Makefile.clean doesn't exist before clobbering it in the
+    configure target.
+
+ -- Colin Watson <cjwatson@debian.org>  Tue, 22 Jan 2002 18:34:22 +0000
+
+groff (1.17.2-15.woody.1) unstable; urgency=medium
+
+  * New Danish debconf translation (thanks, Rune B. Broberg;
+    closes: #131092).
+  * New French debconf translation (thanks, Philippe Batailler;
+    closes: #138515).
+
+ -- Colin Watson <cjwatson@debian.org>  Sun, 17 Mar 2002 04:11:50 +0000
+
+groff (1.17.2-15) unstable; urgency=high
+
+  * Fix buffer overflow in grn (closes: #129261).
+
+ -- Colin Watson <cjwatson@debian.org>  Tue, 15 Jan 2002 00:22:19 +0000
+
+groff (1.17.2-14) unstable; urgency=low
+
+  * Upstream patch to make .TH respect the line length (closes: #125826).
+
+ -- Colin Watson <cjwatson@debian.org>  Mon, 14 Jan 2002 02:49:45 +0000
+
+groff (1.17.2-13) unstable; urgency=high
+
+  * Fix peekbyte() to return correctly (closes: #122702).
+
+ -- Colin Watson <cjwatson@debian.org>  Thu,  6 Dec 2001 17:15:20 +0000
+
+groff (1.17.2-12) unstable; urgency=high
+
+  * Use -fno-strength-reduce on hppa, as a temporary workaround for a
+    compiler bug.
+  * Display package-split note when reconfiguring (closes: #122420).
+
+ -- Colin Watson <cjwatson@debian.org>  Wed,  5 Dec 2001 17:24:08 +0000
+
+groff (1.17.2-11) unstable; urgency=high
+
+  * Use lpr as the print spooler, even if it happens not to be installed on
+    the build system. This broke 'groff -l' (thanks, Mike Fontenot).
+
+ -- Colin Watson <cjwatson@debian.org>  Fri, 30 Nov 2001 21:41:29 +0000
+
+groff (1.17.2-10) unstable; urgency=high
+
+  * Install lbp.tmac (closes: #121765).
+
+ -- Colin Watson <cjwatson@debian.org>  Thu, 29 Nov 2001 20:28:18 +0000
+
+groff (1.17.2-9) unstable; urgency=low
+
+  * Add Fumitoshi UKAI to Uploaders, in case of emergencies.
+  * Move refer to groff, as this saves over 100K in groff-base and I don't
+    think refer is very useful without additional macro packages.
+  * Document refer in groff's description.
+  * Move ChangeLog.jp and README.jp to groff-base.
+  * Replace createM.c with a Perl implementation to aid cross-compilation
+    (thanks, Fumitoshi UKAI; closes: #114338).
+
+ -- Colin Watson <cjwatson@debian.org>  Sun, 14 Oct 2001 04:35:20 +0100
+
+groff (1.17.2-8) unstable; urgency=medium
+
+  * The "Texas Armadillo" release.
+  * Policy version 3.5.6 (support build-arch and build-indep targets).
+  * Reduce size of devnippon fonts, and include devnippon in groff-base
+    (thanks, Fumitoshi UKAI and GOTO Masanori; closes: #112622).
+  * Upstream fix for overzealous warnings from -mm and -ms (closes: #69129).
+  * Fix building in a subdirectory (closes: #111229).
+  * Remove spurious substitutions of '..' for '.' in groff_man(7).
+  * groff depends on libpaperg so that /etc/papersize is always present.
+  * Urgency medium as the above has broken some builds of other packages.
+  * Correct quoted-printable remnant in Brazilian Portugese debconf template
+    (thanks, Andre Luis Lopes; closes: #110192).
+  * New Russian debconf template (thanks, Ilgiz Kalmetev; closes: #112653).
+
+ -- Colin Watson <cjwatson@debian.org>  Wed, 19 Sep 2001 01:34:21 +0100
+
+groff (1.17.2-7) unstable; urgency=low
+
+  * Back with a new GPG key after a disk crash. Thanks for the NMU in the
+    meantime (closes: #107998, #108705).
+  * Document that -E can't suppress messages output to stderr by macro
+    packages using .tm or .tm1 (fix from upstream CVS; closes: #69130).
+  * src/devices/grotty/tty.cc: Correct one instance of putchar() on a
+    potential UTF-8 character to put_char() (thanks, Mike Fabian and Michael
+    Schroeder; closes: #110008).
+
+ -- Colin Watson <cjwatson@debian.org>  Sun, 26 Aug 2001 00:15:42 +0100
+
+groff (1.17.2-6.1) unstable; urgency=low
+
+  * Non Maintainer Upload
+  * fix hyphen character problem in EUC-JP encoding
+    (closes: Bug#107998).
+
+ -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 17 Aug 2001 02:06:21 +0900
+
+groff (1.17.2-6) unstable; urgency=medium
+
+  * src/devices/grohtml/post-html.cc: Put characters into the right places
+    in the output buffer so that HTML output no longer ends up as gibberish
+    (closes: #107788).
+
+ -- Colin Watson <cjwatson@debian.org>  Wed,  8 Aug 2001 00:33:13 +0100
+
+groff (1.17.2-5) unstable; urgency=high
+
+  * src/preproc/pic/pic.y: Fix format string vulnerability that could allow
+    the -S flag to be disabled (closes: #107459). Patch adapted from one by
+    Zenith Parsec <zen-parse@gmx.net>.
+  * Add a note to README.Debian about where to find documentation.
+
+ -- Colin Watson <cjwatson@debian.org>  Thu,  2 Aug 2001 20:36:18 +0100
+
+groff (1.17.2-4) unstable; urgency=low
+
+  * src/preproc/eqn/text.cc: Initialize wc to the value of the current
+    character even if it isn't a wide character. Otherwise eqn would output
+    nulls instead of normal characters (closes: #106551).
+  * Conflict with jgroff as well as with pre-split versions of ordinary
+    groff, and make references to jgroff versioned to avoid triggering on
+    groff's Provides: field.
+
+ -- Colin Watson <cjwatson@debian.org>  Wed, 25 Jul 2001 22:40:52 +0100
+
+groff (1.17.2-3) unstable; urgency=low
+
+  * Remove spare newline from troffrc, which broke e.g. the ms macros
+    (closes: #105777).
+
+ -- Colin Watson <cjwatson@debian.org>  Thu, 19 Jul 2001 00:07:18 +0100
+
+groff (1.17.2-2) unstable; urgency=medium
+
+  * Urgency medium to get a halfway recent groff into testing for the base
+    system freeze. This version should be a significant improvement for
+    non-ASCII/Latin-1 users.
+
+  * New Japanese patch from Fumitoshi UKAI:
+
+    groff (1.17.2-1.ukai.1) unstable; urgency=low
+
+      * fix tmac/euc-jp.tmac (fix coding-system)
+
+     -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 15 Jul 2001 21:14:56 +0900
+
+    groff (1.17.2-1.ukai.0) unstable; urgency=low
+
+      * revised Japanese patch evaluation build
+        - refactoring, cleanups
+          not completed (for example src/xditview)
+
+     -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 15 Jul 2001 15:27:59 +0900
+
+    Also added dq and cq characters to the ascii8 and nippon devices.
+
+  * Make groff-base and groff-x11 conflict with pre-split groff
+    (closes: #105276).
+  * Move ascii8 device to groff-base (closes: #105627).
+  * Remove stray + in groff(1) (closes: #105530).
+  * New Brazilian Portugese debconf translation (thanks, Andre Luis Lopes;
+    closes: #105367).
+
+ -- Colin Watson <cjwatson@debian.org>  Tue, 17 Jul 2001 17:58:23 +0100
+
+groff (1.17.2-1) unstable; urgency=low
+
+  * New upstream release. Fixes \s[0] escape (affects non-tty use of mdoc).
+  * debian/rules:
+    - The clean target now cleans the source tree better.
+    - Use version detection from Makefile.in: it's friendlier to syntax
+      highlighting.
+
+ -- Colin Watson <cjwatson@debian.org>  Mon,  9 Jul 2001 03:35:20 +0100
+
+groff (1.17.1-3) unstable; urgency=low
+
+  * New Spanish debconf translation (thanks, Carlos Valdivia Yagüe;
+    closes: #102897).
+
+ -- Colin Watson <cjwatson@debian.org>  Sat, 30 Jun 2001 20:05:18 +0100
+
+groff (1.17.1-2) unstable; urgency=low
+
+  * Conflict with pmake (<< 1.45-7), which had problems with the new
+    location of groff's macros (see #101973).
+
+ -- Colin Watson <cjwatson@debian.org>  Sun, 24 Jun 2001 03:45:43 +0100
+
+groff (1.17.1-1) unstable; urgency=low
+
+  * New upstream release.
+  * Of course, the library directory has moved with the new version number.
+    Add a symlink, /usr/share/groff/current, which points to the current
+    library directory; also add a versioned conflicts on troffcvt, which I'm
+    about to fix to cope with this. If you rely on some particular version,
+    use it; if not, use current.
+  * Autogenerate debian/groff-base.files and debian/groff-base.links.
+
+ -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jun 2001 00:54:37 +0100
+
+groff (1.17-4) unstable; urgency=low
+
+  * Back out patch supporting transparent decompression of groff's input
+    stream. Since programs using groff have to support systems where *roff
+    doesn't know how to decompress things, it doesn't really simplify
+    anything else greatly; more importantly, using gzip means that argument
+    parsing didn't always work the way we expected (closes: #75990).
+  * The lj4 and ps drivers already support /etc/papersize due to an earlier
+    Debian patch, and it turns out that lbp supports it upstream but wasn't
+    previously configured to use it. Altered its DESC file to meet libpaper
+    standards (closes: #19681, #19722).
+  * Move the error unwind for groff-base's preinst into its postrm (oops).
+  * New German debconf translation (thanks, Sebastian Feltel;
+    closes: #100681).
+  * Add README.Debian, describing the recent package reorganization.
+  * Update copyright file to describe all upstream-relevant patches.
+
+ -- Colin Watson <cjwatson@debian.org>  Wed, 20 Jun 2001 00:43:45 +0100
+
+groff (1.17-3) unstable; urgency=low
+
+  * Restore /usr/share/groff/tmac to the macro path, as some third-party
+    programs install macros there (should fix #100139, but I'll leave it to
+    the vgrind maintainer to check that groff 1.17 hasn't broken anything
+    else).
+
+ -- Colin Watson <cjwatson@debian.org>  Fri,  8 Jun 2001 19:06:15 +0100
+
+groff (1.17-2) unstable; urgency=low
+
+  * Brown paper bag bug: move grotty to groff-base!
+  * Also move the doc macros to groff-base; some man pages use them. (This
+    and the above bloat -base by some 200K, I'm afraid.)
+  * Mention in the debconf note that groff-base supports Latin-1 and UTF-8
+    as well as ASCII.
+  * /usr/share/groff/site-tmac contains mdoc.local as well as man.local as
+    of 1.17, so make that whole directory a symlink to /etc/groff and
+    migrate the old /etc/tmac.man.local conffile to /etc/groff/man.local.
+    This seems to need some ugly migration code.
+  * Back out the autoconf 2.50 diffs for now, as they were polluting the
+    .diff.gz. I've sent them upstream, though.
+
+ -- Colin Watson <cjwatson@debian.org>  Wed,  6 Jun 2001 17:02:12 +0100
+
+groff (1.17-1) unstable; urgency=low
+
+  * New maintainer (ciao, Fabrizio).
+  * Thanks for the NMUs (closes: #75722, #90765).
+  * New upstream release, with corresponding debian/copyright updates.
+  * Follow upstream's move to versioned subdirectories of /usr/share/groff.
+  * The components of groff required to support normal use of man-db are now
+    in a separate package, groff-base (thanks, Elrond; closes: #53225).
+  * Also split out gxditview and the devices that use it into the groff-x11
+    package. I'd have preferred them to stay part of groff, as discussed on
+    -devel, but the necessary xlibs dependency would mean that everybody
+    dist-upgrading from a potato base system would get the X libraries.
+    Added a debconf note to avoid silent loss of functionality; maybe in
+    woody+1 they can be merged back into groff.
+
+  * New packaging, using debhelper.
+    - This shouldn't generate invalid syntax in the prerm (closes: #86437).
+    - All binaries should be correctly stripped now (closes: #96786).
+  * Add build dependencies (thanks, Daniel Schepler; closes: #80844).
+  * Don't bother running configure in the clean target.
+  * Touch configure in debian/rules to avoid a build-dep on autoconf. This
+    means I have to remember to run the autotools manually every time. Ugh.
+  * Support DEB_BUILD_OPTIONS debug and nostrip.
+  * Mark /etc/X11/app-defaults/GXditview as a conffile.
+  * All this brings us to Standards-Version: 3.5.2.
+
+  * New Japanese patch (version 0.0.2) from Fumitoshi UKAI. This may not be
+    quite right yet; please let me know if there are any problems.
+  * Replace mdate.sh with something whose results are more predictable
+    (thanks, Florian Lohoff; closes: #62554).
+  * Force LC_ALL to C so that makeinfo doesn't insert some localized strings
+    for the package builder's environment (closes: #84370).
+  * s/man/man-db/ in the package description.
+  * Remove an autoconf hack from aclocal.m4; the bug it's working around is
+    now fixed and the hack broke with autoconf 2.50 (closes: #98916).
+  * Set gxditview's fontpath in debian/rules, restoring
+    /usr/local/share/groff/font.
+  * Preserve the Makefile to avoid a large diff.
+  * Back out single-page an.tmac patch; upstream did it more neatly.
+
+ -- Colin Watson <cjwatson@debian.org>  Sat,  2 Jun 2001 20:18:14 +0100
+
+groff (1.16-3.4) unstable; urgency=medium
+
+  * Non-maintainer upload
+  * gcc 3.0 fixes (needed by PARISC port).  fixes #90765.
+
+ -- LaMont Jones <lamont@debian.org>  Wed, 25 Apr 2001 00:19:29 -0600
+
+groff (1.16-3.3) unstable; urgency=medium
+
+  * Non-maintainer upload
+  * fixed font count in font/devdvi/DESC.in as suggested in bug
+    report from John P. Cummings <cummij@rpi.edu>, closes: #75722
+
+ -- Paul Bame <bame@debian.org>  Sat, 24 Feb 2001 17:16:47 -0700
+
+groff (1.16-3.2) unstable; urgency=high
+
+  * Added ascii8 device and fixed bug with (non-latin1&&non-CJK) man-pages 
+    viewing (before this polish, russian etc. manpages couldn't be viewed), 
+    closes: #81148, #71744, #66928, #74535
+
+ -- Peter Novodvorsky <nidd@debian.org>  Sun, 14 Jan 2001 01:09:24 +0300
+
+groff (1.16-3.1) unstable; urgency=low
+
+  * Rebuilt on a system with Xfree 4 and toasted contents of /usr/X11R6/lib,
+    closes: #76813, #77024, #77515, #77608, #77684, #78054, #78905, #79472,
+    #80559
+
+ -- Robert Woodcock <rcw@debian.org>  Thu, 28 Dec 2000 20:51:34 -0800
+  
+groff (1.16-3) unstable; urgency=low
+
+  * oops: had left generated files in the diff.
+  * In new macro checking for gzcat (aclocal.m4), added use of option -f
+    to permit transparent fallback to 'normal' cat.
+  * In src/roff/groff/groff.cc , added gzcat command before soelim; it
+    permits transparent use of zipped or not sources.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 27 Aug 2000 18:13:10 +0300
+
+groff (1.16-2) unstable; urgency=low
+
+  * now going into woody (previous were experimental).
+  * Added check for gzip in configure.in
+  * Applyed correction to patch #64551, thanx to Werner LEMBERG.
+  * Added single final footer to an macro, thanx to Werner LEMBERG;
+    closes: #65735. (waiting for the same for the doc macro)
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Mon,  3 Jul 2000 00:13:23 +0300
+
+groff (1.16-1) experimental; urgency=low
+
+  * Fixed src/roff/nroff.sh, which was too much different from the
+    previous one to apply the dumb patch. 
+    Thanx to Taketoshi Sano for the right patch!
+    (that was exactly the reason for using experimental instead of
+    unstable: uploading something broken and ask for help to fix it,
+    yeah!)
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 16 Jun 2000 11:33:47 +0300
+
+groff (1.16-0) experimental; urgency=low
+
+  * New upstream release.
+  * Manually applyed all the nippon and ascii8 changes.
+    Failed for: src/roff/nroff.sh, 
+  * Added new info document.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Wed,  7 Jun 2000 19:09:17 +0300
+
+groff (1.15.3-2) unstable; urgency=low
+
+  * Applied patch proposed by Karl M.Hegbloom to get a single page from
+    manpages when in nroff mode.  Closes: #64551.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 25 May 2000 13:43:18 +0300
+
+groff (1.15.3-1) unstable; urgency=low
+
+  * re-enabled default font in Dvi.c, thanx to Kevin Ryde.
+    closes: #63491, but opens probably some other i18n related bug,
+    sigh.
+  * changed version to 1.15.3 (waiting for 1.16 :-) to be grater than
+    the version in slink and than the one in potato.
+    This means that I must reupload the sources ... which were gone from
+    woody anyway (why it's possible?).
+  * Applyed patch submitted by Tomohiro KUBOTA:
+    * Added a new device type 'ascii8', which is 8 bit clean (like latin1)
+      but does not use Latin-1 character for hyphenation and so on (like
+      ascii).  This device is intended to be used for codesets other than
+      ASCII and ISO-8859-1.  This device should be temporal till all
+      charsets (ISO-8859-*, KOI8-R, EUC-KR, EUC-ZH, TIS620, and so on so on)
+      in the world are implemented, though this is almost impossible.
+    * Added a new character 'sy', which is soft hyphen.  This character is
+      defined only for latin1 device.  This 'sy' is used for hyphenation
+      instead of [char173], because [char173] may not be a soft hyphen,
+      though [char173] is a soft hyphen in ISO-8859-1.
+      Tomohiro KUBOTA <kubota@debian.or.jp>  Wed, 19 Apr 2000 23:47:18 +0900
+    This closes: #62840.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 11 May 2000 10:44:14 +0300
+
+groff (1.15-3.ja.3) unstable; urgency=low
+
+  * Corrected bug that segfaults when reading manpage printf(1), thanx
+    to David Schmitt who submitted the bug (closes: #60096) and to
+    Fumitoshi UKAI who submitted the patch to fix it. It was the same
+    bug that jgroff had (#59628).
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 13 Mar 2000 12:50:02 +0200
+
+groff (1.15-3.ja.2) unstable; urgency=low
+
+  * Included changes proposed by Fumitoshi UKAI and Taketoshi Sano.
+  * corrected groff_man manpage which didn't parse correctly for mandb.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 25 Feb 2000 20:57:40 +0200
+
+groff (1.15-3.ja.1) experimental; urgency=low
+
+  * Added japanes patch for join with jgroff.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 30 Jan 2000 15:36:03 +0200
+
+groff (1.15-3) frozen unstable; urgency=high
+
+  * mm and mse macros were missing (thanx to Daniel Quinlan to make me
+    discover this grave bug); closes: #55428.
+  * corrected wrong .so request in macro mse
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 17 Jan 2000 15:25:06 +0200
+
+groff (1.15-2) unstable; urgency=low
+
+  * quick fix to a bug reported only mainstream.
+    postscript device fails if paper format is not a4 or letter.
+    Fixed using "letter" for all other formats, as it _was_ before.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 14 Jan 2000 12:21:38 +0200
+
+groff (1.15-1) unstable; urgency=low
+
+  * new upstream release: only minor bugfixes.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Thu,  6 Jan 2000 18:23:41 +0200
+
+groff (1.12-1) unstable; urgency=low
+
+  * new upstream release.
+    Got all previous changes (except papersize),
+    plus: new HTML device! (expermental).
+  * leaved version numeric only: closes: #31739, thanx to 
+    Jonathan H N Chin <jhnc@pfaff.newton.cam.ac.uk>.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 17 Dec 1999 14:40:46 +0200
+
+groff (1.11b-1) unstable; urgency=low
+
+  * updated to policy 3.1.0.
+  * new imminent release 1.12; this use groff-current renamed
+    groff-1.11b.  Not to be uploaded until 1.12 is released.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 12 Dec 1999 18:15:26 +0200
+
+groff (1.11a-9) unstable; urgency=low
+
+  * not uploaded due to imminent 1.12
+  * added management of /etc/papersize in driver lj4.
+    todo: the same in driver ps.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Sun,  5 Dec 1999 14:26:18 +0200
+
+groff (1.11a-8) unstable; urgency=low
+
+  * moved tmac.local to /etc (as tmac.man.local) and symlinked from the
+    original place; made it a conffile. Thanx to Decklin Foster
+    <decklin@home.com>, closes: #39043
+  * recompiled with libstdc++2.10 . closes: #49392.
+  * added manpages groff_mdoc(7) and groff_mdoc.samples(7) taken from
+    netBSD, thanks to Ben Harris <bjh21@cam.ac.uk>. closes: #49159.
+  * added Y2K corrections from the beta-12, from Paul Eggert.
+  * Got rid of old and unusefull checks in postinst.
+  * added symlink from /usr/doc, and added -e to script; closes: #39410
+  * Bugs fixed in previous releases: closes: #27016, #28097.
+  * Updated to std policy 3.0.1
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 26 Oct 1999 14:39:10 +0300
+
+groff (1.11a-7) unstable; urgency=low
+
+  * Applied patch to add include path search to groff e gsoelim, provided by 
+    Peter Miller <millerp@canb.auug.org.au> needed by aegis.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 17 Oct 1998 23:45:27 +0300
+
+groff (1.11a-6) unstable; urgency=low
+
+  * Recompiled to generate new dependencies into libs
+    (closes: #27790, thanx to Zephaniah E, Hull.)
+    [Previous attempt wasn't succesful.]
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Sat, 17 Oct 1998 02:39:10 +0300
+
+groff (1.11a-5) unstable; urgency=low
+
+  * Recompiled to generate new dependencies into libs
+    (closes: #27790, thanx to Zephaniah E, Hull.)
+  * added mime file as suggested by Brian White 
+    (closes: #27016)
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Tue, 13 Oct 1998 18:54:55 +0300
+
+groff (1.11a-4) unstable; urgency=low
+
+  * Added groff_man(7) manpage for tmac.an macro written by Susan Kleinmann.
+  * Added patch from Andy Dougherty to let groff pass the -U flag along to
+    troff. (closes: #20628)
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Sat,  4 Apr 1998 23:46:42 +0300
+
+groff (1.11a-2) unstable; urgency=low
+
+  * groff (1.11a-2) unstable; urgency=low
+  * groff (1.11a-0bo2) bo-unstable; urgency=low
+
+  * (lintian): added a symlink for neqn manpage.
+  * (lintian): changed mode of manpage gxditview.1x to 644.
+  * (lintian): changed mode of app-defaults/GXditview to 644.
+  * (lintian): updated the debian/copyright file (previously
+    debian/README), to point to the actual postal address of the FSF,
+    even if the sources in the distribution, including the COPYING file)
+    still point tro the old file (this should be reported as a bug to
+    upstream :-) .  Now it says:
+        A copy of the GNU General Public License is available in
+        /usr/doc/copyright/GPL (as installed by package base-files);
+        if not, write to the Free Software Foundation, Inc.,
+        59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+  * commented creation of ctags file in debian/rules (closes: #15825,
+    #16006).
+  * checked correct build of fontpath (closes: #16007).
+  * added gzipping of X11 manpage (closes: #17455), tx to David ROCHER.
+  * reverted security changes done in 1.10-3.5 due to added use of safer
+    macro.  Added -U flag to nroff/troff/groff/pic to revert to old
+    unsecure behaviour:
+    - nroff script defaults calling groff -S
+    - troff defaults as called with -msafer
+    - groff defaults as called with -S
+    - pic defaults as called with -S
+    Updated manpages nroff(1), groff(1), troff(1), pic(1) for the -U option.
+  * changed reference to me and msafer manpages in groff(1), to reflect
+    the change in their names (done in 1.10-3.5 and 1.10-5).
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 15 Feb 1998 13:09:27 +0200
+
+groff (1.11a-1) unstable; urgency=low
+
+  * changed Standards Version to 2.3.0.1
+  * corrected names of copyright and chnagelog files.
+  * added full copyright from MIT (for gzditview).
+  * avoid gzipping of copyright file (oops!)
+  * new upstream version 1.11a (fixes #12130) including:
+    - new document for pic.
+    - changes to groff manpage.
+  * full libc6 version (fixes #14592) Since there aren't changes to
+     code, there's no need for a libc5 version.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Mon, 17 Nov 1997 11:00:21 +0200
+
+groff (1.10-3.5) stable; urgency=high
+
+  * Compiled under debian-1.3.1 (libc5) as a security bugfix; used
+     version number 3.5 (instead of 5) to avoid downgrading for hamm.
+  * Avoided execution of arbitrary code embedded in documents;
+     added warning WARN_SECURITY, enabled by default, to warn about .sy
+     directives, but not yet documented in manpage. Warning mode enabled
+     by default via ifdef, should be toggled by option flag. (need
+     coordination with upstream maintainer.)
+  * Applied patch from Brian Mays <bem5r@virginia.edu> to pic/tex.cc to
+     cast a long double value to double (fixes #13788)
+  * Changed name of manpages me and msafer to groff_me and groff_msafer.
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 15 Oct 1997 23:15:08 +0300
+
+groff (1.10-4) unstable; urgency=low
+
+  * libc6 version
+  * added explicit link to libc to let ld.so find libc dependencies.
+  * added dinamic dependence as Suggest for gxditview.
+  * forced configure to use /usr/bin/perl (fixes bug#11149 and #13239)
+  * added debian version number to option -v
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 28 Sep 1997 09:09:22 +0300
+
+groff (1.10-3) frozen unstable; urgency=low
+
+  * Applied changes to avoid problem with bash-2 (bug#8755)
+  * Added gxditview notice in file copyright.debian
+  * Compiled to supply gxditview, to let groff -X and man -X work.
+     (changed font path in device.c)
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 16 Apr 1997 22:50:58 +0300
+
+groff (1.10-2) frozen unstable; urgency=low
+
+    * corrected shlibs.local for libstd++ depenedency (fixes #5401)
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 14 Nov 1996 08:39:25 +0200
+
+groff (1.10-1) frozen; urgency=low
+
+    * new maintainer: Fabrizio Polacco <fpolacco@debian.org>
+    * changed description in control file (fixes bug #4013 part 2)
+    * new upstream sources 1.10 (fixes bug #4013 part 1)
+    * added symlinks for geqn, gpic, gtbl (bug #4754)
+    * compressed manpages.
+    * Updated to Standards-Version 2.1.1.0
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Fri, 8 Nov 1996 13:50:09 +0200
+
+groff (1.09-12) frozen; urgency=low
+
+    * this version was never uploaded
+    * new maintainer: Fabrizio Polacco <fpolacco@debian.org>
+    * built using original upstream sources 1.09 + patch 1.09-11
+    * Updated to Standards-Version 2.1.1.0
+
+ -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 6 Nov 1996 15:15:10 +0200
+
+Changes:
+ 2-Jul-1995 Alvar Bray <alvar@meiko.co.uk>
+	Set permissions of /usr/doc/groff dir in post install script.
+	Previous versions of this package may have got these wrong and
+	replacing the package will not fix them.
+ 5-Mar-1995 Bruce Perens <Bruce@Pixar.com>
+	Added Debian GNU/Linux package maintenance system files.
+
